## org.apache.batik.css.dom
Interface CSSOMStyleDeclaration.ValueProvider

All Known Implementing Classes:
  SVGStylableElement.StyleDeclaration

Enclosing interface:
  CSSOMStyleDeclaration

public static interface CSSOMStyleDeclaration.ValueProvider

To provides the values.

Method Summary
`int` `getLength()` Returns the length of the declaration.
`java.lang.String` `getText()` Returns the text of the declaration.
`Value` `getValue(java.lang.String name)` Returns the current value associated with this object.
`boolean` `isImportant(java.lang.String name)` Tells whether the given property is important.
`java.lang.String` `item(int idx)` Returns the value at the given.

Method Detail

### getValue

    public Value getValue(java.lang.String name)

  Returns the current value associated with this object.

### isImportant

    public boolean isImportant(java.lang.String name)

  Tells whether the given property is important.

### getText

    public java.lang.String getText()

  Returns the text of the declaration.

### getLength

    public int getLength()

  Returns the length of the declaration.

### item

    public java.lang.String item(int idx)

  Returns the value at the given.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.